# List approval rules

Endpoint: GET /buyers/{buyerID}/approvalrules
Version: 1.0.445.36017
Security: OAuth2

## Path parameters:

  - `buyerID` (string, required)
    ID of the buyer.

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.
    Enum: "ID", "Name", "Description", "RuleExpression"

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.
    Enum: "Name", "ID", "ApprovingGroupID", "RuleExpression", "!Name", "!ID", "!ApprovingGroupID", "!RuleExpression"

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)
    Example: [{"ID":"","Name":"","Description":"","ApprovingGroupID":"","RuleExpression":"","xp":{}}]

  - `Items.ID` (string)

  - `Items.Name` (string)

  - `Items.Description` (string)

  - `Items.ApprovingGroupID` (string)

  - `Items.RuleExpression` (string)
    The expression evaluated to determine an order requires approval. See rules engine documentation for formatting details.

  - `Items.xp` (object)
    Example: {}

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: "404"

  - `ErrorCode` (string)
    Example: "NotFoundError"

  - `Message` (string)
    Example: "Object not found"

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}


